package fr.jeremylebrun.ld41.map;

import fr.jeremylebrun.ld41.core.Shared;
import fr.jeremylebrun.ld41.entities.Entity;
import fr.jeremylebrun.ld41.menus.GameMenu;

public class GameMapCollisionRectangle extends Entity{

	private String collisionType;
	private GameMapItem gameMapItem;
	
	public GameMapCollisionRectangle(GameMapItem gameMapItem, float x, float y, float width, float height, int level, String collisionType) {
		super(x, y, width, height, level);
		this.gameMapItem = gameMapItem;
	}
	
	public void render(GameMenu game) {
		
	}
	
	public void renderDebug(GameMenu game) {
		Shared.SHAPE_RENDERER.setColor(0, 0, 1, 1);
		Shared.SHAPE_RENDERER.rect(x-(width/2), y-(height/2), width,height);
	}
	
	public void update(GameMenu game) {
		
	}
	
	public String getCollisionType() {
		return collisionType;
	}
	
	public void destroyCollision() {
		this.destroy = true;
	}
	
	public void contactWithBullet() {
		gameMapItem.contactWithBullet();
	}
	
	



}
